<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui" xmlns:c="http://xmlns.jcp.org/jsp/jstl/core">
    <!--I use Index.html as a original template this is just extending the content area-->
    <h:body>
        <ui:composition template="index.xhtml">
            <ui:define name="content">
                <p:layoutUnit position="center">
                    
                    <p:panel header="Pictures">
                        <p:panelGrid columns="1" >
                            <h:form enctype="multipart/form-data">
                                <p:fileUpload fileUploadListener="#{uploadBean.upload}" multiple="true" oncomplete="album"></p:fileUpload>
                            </h:form>
                            <p:dataList value="#{uploadBean.images}" var="image" itemType="disc" paginator="true" rows="10">
                                <f:facet name="header">
                                    Already uploaded images
                                </f:facet>
                                #{image.title}


                            </p:dataList>
                        </p:panelGrid>

                    </p:panel>
                </p:layoutUnit>
            </ui:define> 
        </ui:composition> 
    </h:body>


</html>

